﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.FullScreenEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 1000;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage(stage.stageWidth,stage.stageHeight);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			graphics.clear();
			drawStage(stage.stageWidth,stage.stageHeight);
			eraseAll();
		}
		private function double_handler(e:MouseEvent):void
		{
			//trace("double clicked");
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point();
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage(stageWidth:Number,stageHeight:Number):void
		{	
			graphics.lineStyle(1,0xffffff,.4);
			graphics.moveTo(stage.stageWidth/2,0);
			graphics.lineTo(stage.stageWidth/2,stage.stageHeight);
			graphics.moveTo(0,stage.stageHeight/2);
			graphics.lineTo(stage.stageWidth,stage.stageHeight/2);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 0;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	public function Point():void
	{
		r1 = Math.random()*2000;
		r2 = Math.random()*100;
		orientation = Math.round(1-Math.random()*2);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0x3548F4,.6);
		graphics.drawCircle(1,0,(Math.random()*20+5));
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = stage.stageWidth/2 + Math.cos(angle*Math.PI/360)*r1 / mouseX;
		y = stage.stageHeight/2 - Math.sin(angle*Math.PI/270)*r2;
		angle++;
	}
}